
<!DOCTYPE html>
<html lang="en">
<head>

	<!-- Page title -->
	<title>IQ Test</title>

	<!-- Meta tags -->
	<meta 
		charset="UTF-8"
	>
	
	<meta 
		name="viewport" 
		content="width=device-width, initial-scale=1.0"
	>
	
	<meta 
		name="description" 
		content="IQ Test for busy people"
	>

	<!-- Facebook -->
	<meta 
		property="fb:page_id"
		content="3632312173506558"
	/>

	<meta 
		property="og:url"                
		content="https://iq.imaweb.sk"
	/>

	<meta 
		property="og:type"
		content="website"
	/>

	<meta 
		property="og:title"              
		content="IMAWEB | IQ Test"
	/>

	<meta 
		property="og:description"        
		content="IQ Test for busy people"
	/>

	<meta 
		property="og:image"
		content="https://imaweb.sk/img/fcb.png"
	/>
	
	<!-- Favicon -->
	<link 
		rel="icon" 
		type="image/png" 
		href="https://imaweb.sk/img/favicon.png" 
	/>

	<!-- Fonts -->
	<link 
		href="https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap"
		rel="stylesheet"
	>

	<!-- Styles -->
	<style>
		* {
			-webkit-box-sizing: border-box;
			-moz-box-sizing: border-box;
			box-sizing: border-box;
		}
		html {
			background: #212121;
		}
		body {
			margin: 0px;
			font-family: 'Poppins', sans-serif;
			height: 100vh;
			width: 100vw;
			display: flex;
			justify-content: center;
			align-items: center;
			width: 600px;
			max-width: 90%;
			margin: 0px auto;
		}
		img {
			width: 100%;
			margin-bottom: 15px;
			border-radius: 3px;
		}
		h1 {
			color: white;
			margin-bottom: 0px;
		}
		.container-small {
			width: 100%;
		}
		.text-normal {
			font-weight: 400;
			color: grey;
		}
		p {
			color: white;
			margin-top: 0px;
			margin-bottom: 25px;
		}
		input {
			width: 100%;
			border: 1px solid #ececec!important;
			padding: 14px;
			outline: none!important;
			border-radius: 3px;
		}
		button {
		    float: right;
		    margin-top: -41px;
		    z-index: 999;
		    position: relative;
		    margin-right: 4px;
		    background: #4c28b9;
		    border: none!important;
		    color: white;
		    padding: 11px;
		    padding-left: 15px;
		    padding-right: 15px;
		    outline: none!important;
		    cursor: pointer;
		    border-radius: 3px;
		}
		#image {
			max-height: 0px;
			overflow: hidden;
			transition: all .3s ease;
		}
		.display {
			max-height: 420px!important;
		}
		hr {
			border: none;
			border-bottom: 0.5px solid #ffffff14;
			margin-top: 25px;
		}
		.facebook {
		    position: absolute;
		    width: 15px;
		    margin-top: -15px;
		    fill: white;
		    background: #212121;
		}
		svg {
			margin-bottom: -2px;
		}
		@media only screen and (max-width: 600px) {
			body {
				display: block;
				height: auto;
			}
			button {
				width: 100%;
				margin: 0px;
				margin-top: 10px;
				padding-top: 15px;
				padding-bottom: 15px;
				margin-bottom: 25px;
			}
			.text-normal {
				display: block;
				margin-top: -15px;
				margin-bottom: 15px;
			}
			.display {
				height: auto!important;
			}
		}
	</style>

</head>
<body>

	<!-- Main content -->
	<div class="container-small">
		<h1>
			<span>IQ Test</span> 
			<span class="text-normal">for busy people</span>
		</h1>
		<p>
			Thanks to our revolutionary technology, you don't need to answer hundreds of boring questions anymore. Amazing, isn't it!?
		</p>
		<div id="image">
			<img 
				src="really.jpg" 
				alt="Really?"
			>
		</div>
		<input 
			type="number" 
			id="input"
			autocomplete="off" 
			placeholder="Insert your credit card number"
		>
		<button type="button" onclick="checkResult()">
			<svg 
				width="2em"
				height="1em"
				viewBox="0 0 16 16"
				class="bi bi-check-circle-fill" fill="currentColor"
				xmlns="http://www.w3.org/2000/svg"
			>
			  	<path 
			  		fill-rule="evenodd"
			  		d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z"
			  	/>
			</svg>
			<span>Show score</span>
		</button>
	</div>

	<!-- Scripts -->
	<script> 

		console.log("🌞 Have a great day y'all!");

		function checkResult() {
			if(document.getElementById("input").value == ""){
				document.getElementById("input").focus();
			} else {
				document.getElementById("input").value = "";
				document.getElementById("image").classList.add("display");
			}
		}

	</script>

</body>
</html>